﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class MockWatcherRepository : IWatcherRepository
    {
        public Task<List<Watcher>> GetWatchersByScreenId(int screenId)
        {
            var watchers = new List<Watcher>
            {
                new Watcher
                {
                    WatcherId = 1,
                    ConnectionId = "dJSbEc73n6YjGIhj-SZz1Q",
                    Name = "Kirby",
                    Screen = new Screen {
                        ScreenId = 1,
                        Name = "Kirby's screen",
                        Source = "https://vcinema.b-cdn.net/shrek.mp4",
                        PlayStateUpdated = new DateTime(2020, 9, 21, 21, 02, 57),
                        PlayState = true,
                        PlayOffset = 1337
                    }
                },
                new Watcher
                {
                    WatcherId = 2,
                    ConnectionId = "rNA9Jn7ytYPzQfFJ-j3NBa",
                    Name = "Sid",
                    Screen = new Screen {
                        ScreenId = 2,
                        Name = "Sid's screen",
                        Source = "https://vcinema.b-cdn.net/weeb.mp4",
                        PlayStateUpdated = new DateTime(2020, 9, 21, 21, 03, 22),
                        PlayState = true,
                        PlayOffset = 69
                    }
                }
            };
            return Task.FromResult<List<Watcher>>(watchers);
        }

        public Task<Watcher> GetWatcherByConnectionId(string connectionId)
        {
            var watcher = new Watcher
            {
                WatcherId = 1,
                ConnectionId = "dJSbEc73n6YjGIhj-SZz1Q",
                Name = "Kirby",
                Screen = new Screen
                {
                    ScreenId = 1,
                    Name = "Kirby's screen",
                    Source = "https://vcinema.b-cdn.net/shrek.mp4",
                    PlayStateUpdated = new DateTime(2020, 9, 21, 21, 02, 57),
                    PlayState = true,
                    PlayOffset = 1337
                }
            };
            return Task.FromResult<Watcher>(watcher);
        }

        public Task CreateWatcher(string connectionId)
        {
            throw new NotImplementedException();
        }

        public Task DeleteWatcher(string connectionId)
        {
            throw new NotImplementedException();
        }
    }
}
