﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class ScreenRepository : IScreenRepository
    {
        private readonly VCinemaContext _context;

        public ScreenRepository(VCinemaContext context)
        {
            _context = context;
        }

        public Task<List<Screen>> GetScreens()
        {
            return _context.Screens.ToListAsync();
        }

        public Task<Screen> GetScreenById(int screenId)
        {
           return _context.Screens.SingleOrDefaultAsync(screen => screen.ScreenId == screenId);
        }
    }
}
