﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class WatcherRepository : IWatcherRepository
    {
        private readonly VCinemaContext _context;

        public WatcherRepository(VCinemaContext context)
        {
            _context = context;
        }

        public Task<List<Watcher>> GetWatchersByScreenId(int screenId)
        {
            throw new NotImplementedException();
        }

        public Task<Watcher> GetWatcherByConnectionId(string connectionId)
        {
            return _context.Watchers.SingleOrDefaultAsync(watcher => watcher.ConnectionId == connectionId);
        }

        public async Task CreateWatcher(string connectionId)
        {
            var watcher = new Watcher()
            {
                ConnectionId = connectionId,
            };

            await _context.Watchers.AddAsync(watcher);
            await _context.SaveChangesAsync();
        }

        public async Task DeleteWatcher(string connectionId)
        {
            var watcher = await GetWatcherByConnectionId(connectionId);
            _context.Watchers.Remove(watcher);
            await _context.SaveChangesAsync();
        }
    }
}
